<?php
namespace inshok\admin\controllers\admin;

use \inshok\admin\controllers\interfaces\InterfaceProcess;
use \inshok\admin\helpers\Html;

use \inshok\admin\database\PdoDoctor;


class ListDoctorController implements InterfaceProcess {

    
    use Html;


    public function process( $post_vars ): void
    {

        extract($post_vars);

        $login = AdminController::login();
        $login_id = $login['id'];


        $pdo_doctor = new PdoDoctor();



        if( count($post_vars) > 0 ) {
            // $action = filter_input( INPUT_GET , 'action' , FILTER_SANITIZE_STRING );
            // $id = filter_input( INPUT_GET , 'id' , FILTER_SANITIZE_STRING );


            if( $action == 'delete' )  {

                $pdo_doctor->delete( $login_id , $id );

            }

        }

        
        $args = [
            'pathJS' => 'list-doctors.js',
            'access' => $login['access']
        ];
        

        $doctor_id = 0;
        $pdo_doctor_list = $pdo_doctor->fulllist( $login_id , $doctor_id);
        if( !empty( $pdo_doctor_list ) ) {
            $args['doctor_list'] = $pdo_doctor_list;
        }


        $path = 'admin/list-doctors.php';
        echo $this->render($path , $args);
    

    }


    private function loadData() {
        
        // $key = filter_input(INPUT_GET, 'key', FILTER_SANITIZE_STRING);
        // $pdo = new PdoScheduling();


        // return $pdo->list( $key );
    }

}




