<?php 
namespace inshok\admin\database;

use \inshok\admin\database\ConnectionCreator;
use \inshok\admin\database\InterfaceBase;


use PDO;

class PdoUserContacts implements InterfaceBase
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $id ) 
    {
        /*
        $sqlInstruction = 'CALL p_list_address( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return [
            'id' => $data['contacts_id'],
            'key' => $data['contacts_key'],
            'type' => $data['contacts_type'],
            'value' => $data['contacts_value'],
            'dateregister' => $data['contacts_dateregister'],
        ];
        */
    }

    public function fulllist( $page ) 
    {
        /*
        $sqlInstruction = 'CALL p_list_address( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', 0 , PDO::PARAM_INT);
        $statement->execute();

        $data_array = [];
        while($data = $statement->fetch(PDO::FETCH_ASSOC)) {
            $data_array[] = [
                'id' => $data['contacts_id'],
                'key' => $data['contacts_key'],
                'type' => $data['contacts_type'],
                'value' => $data['contacts_value'],
                'dateregister' => $data['contacts_dateregister'],
            ];
        }

        return $data_array;
        */
    }

    public function save( $args )
    {

        $sqlInstruction = 'CALL p_save_contacts( :contacts_id, :contacts_key, :contacts_type, :contacts_value )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':contacts_id', $args['id'] , PDO::PARAM_INT);
        $statement->bindValue(':contacts_key', $args['key'] , PDO::PARAM_STR);
        $statement->bindValue(':contacts_type', $args['type'] , PDO::PARAM_STR);
        $statement->bindValue(':contacts_value', $args['value'] , PDO::PARAM_STR);
        $statement->execute();

        return $statement->fetch(PDO::FETCH_ASSOC);
        
    }



    public function delete( $id )
    {

        $sqlInstruction = 'CALL p_delete_contacts( :ID )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':ID', $id , PDO::PARAM_INT);
        
        return $statement->execute();
    }

}


