<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUserAddress;

//use PDO;


class EntityCategory implements \JsonSerializable
{

    private $id;
    private $key;
    private $name;
    private $description;
    private $text;
    private $hierarchy;
    private $depth;
    private $dateregister;


    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoUserAddress();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = !empty($args['category_id']) ? $args['category_id'] : $this->id;
        $this->key = !empty($args['key']) ? $args['key'] : $this->key;
        $this->name = !empty($args['name']) ? $args['name'] : $this->name;
        $this->description = !empty($args['description']) ? $args['description'] : $this->description;
        $this->text = !empty($args['text']) ? $args['text'] : $this->text;
        $this->hierarchy = !empty($args['hierarchy']) ? $args['hierarchy'] : $this->hierarchy;
        $this->depth = !empty($args['depth']) ? $args['depth'] : $this->depth;
        $this->dateregister = !empty($args['category_dateregister']) ? $args['category_dateregister'] : $this->dateregister;
        return $this;
    }

    
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'key' => $this->key,
            'name' => $this->name,
            'description' => $this->description,
            'text' => $this->text,
            'hierarchy' => $this->hierarchy,
            'depth' => $this->depth,
            'dateregister' => $this->dateregister,
        ];
    }


    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of key
     */ 
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @return  self
     */ 
    public function setKey($key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of name
     */ 
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set the value of name
     *
     * @return  self
     */ 
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get the value of description
     */ 
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set the value of description
     *
     * @return  self
     */ 
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get the value of text
     */ 
    public function getText()
    {
        return $this->text;
    }

    /**
     * Set the value of text
     *
     * @return  self
     */ 
    public function setText($text)
    {
        $this->text = $text;

        return $this;
    }

    /**
     * Get the value of hierarchy
     */ 
    public function getHierarchy()
    {
        return $this->hierarchy;
    }

    /**
     * Set the value of hierarchy
     *
     * @return  self
     */ 
    public function setHierarchy($hierarchy)
    {
        $this->hierarchy = $hierarchy;

        return $this;
    }

    /**
     * Get the value of depth
     */ 
    public function getDepth()
    {
        return $this->depth;
    }

    /**
     * Set the value of depth
     *
     * @return  self
     */ 
    public function setDepth($depth)
    {
        $this->depth = $depth;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }
}
