<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUserAddress;
use inshok\admin\helpers\Mask;
//use PDO;


class EntityContacts implements \JsonSerializable
{

    private $id;
    private $phone;
    private $landline;
    private $whatsapp;
    private $email1;
    private $email2;
    private $email3;
    private $dateregister;

    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoUserAddress();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = !empty($args['contacts_id']) ? $args['contacts_id'] : $this->id;
        $this->phone = !empty($args['phone']) ? $args['phone'] : $this->phone;
        $this->landline = !empty($args['landline']) ? $args['landline'] : $this->landline;
        $this->whatsapp = !empty($args['whatsapp']) ? $args['whatsapp'] : $this->whatsapp;
        $this->email1 = !empty($args['email1']) ? $args['email1'] : $this->email1;
        $this->email2 = !empty($args['email2']) ? $args['email2'] : $this->email2;
        $this->email3 = !empty($args['email3']) ? $args['email3'] : $this->email3;
        $this->dateregister = !empty($args['contacts_dateregister']) ? $args['contacts_dateregister'] : $this->dateregister;
        return $this;
    }
        
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'phone' => Mask::phone( $this->phone ),
            'landline' => Mask::phone( $this->landline ),
            'whatsapp' => Mask::cel( $this->whatsapp ),
            'email1' => $this->email1,
            'email2' => $this->email2,
            'email3' => $this->email3,
            'dateregister' => $this->dateregister,
        ];
    }



    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of phone
     */ 
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * Set the value of phone
     *
     * @return  self
     */ 
    public function setPhone($phone)
    {
        $this->phone = $phone;

        return $this;
    }

    /**
     * Get the value of landline
     */ 
    public function getLandline()
    {
        return $this->landline;
    }

    /**
     * Set the value of landline
     *
     * @return  self
     */ 
    public function setLandline($landline)
    {
        $this->landline = $landline;

        return $this;
    }

    /**
     * Get the value of whatsapp
     */ 
    public function getWhatsapp()
    {
        return $this->whatsapp;
    }

    /**
     * Set the value of whatsapp
     *
     * @return  self
     */ 
    public function setWhatsapp($whatsapp)
    {
        $this->whatsapp = $whatsapp;

        return $this;
    }

    /**
     * Get the value of email1
     */ 
    public function getEmail1()
    {
        return $this->email1;
    }

    /**
     * Set the value of email1
     *
     * @return  self
     */ 
    public function setEmail1($email1)
    {
        $this->email1 = $email1;

        return $this;
    }

    /**
     * Get the value of email2
     */ 
    public function getEmail2()
    {
        return $this->email2;
    }

    /**
     * Set the value of email2
     *
     * @return  self
     */ 
    public function setEmail2($email2)
    {
        $this->email2 = $email2;

        return $this;
    }

    /**
     * Get the value of email3
     */ 
    public function getEmail3()
    {
        return $this->email3;
    }

    /**
     * Set the value of email3
     *
     * @return  self
     */ 
    public function setEmail3($email3)
    {
        $this->email3 = $email3;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }
}
