<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoOrganisms;

//use PDO;


class EntityOrganisms implements \JsonSerializable
{

    private $id;
    private $key;
    private $title;
    private $description;
    private $text;
    private $dateini;
    private $datefim;
    private $timeini;
    private $timefim;
    private $link;
    private $json;
    private $dateregister;


    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoOrganisms();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = $args['id'];
        $this->key = $args['key'];
        $this->title = $args['title'];
        $this->description = $args['description'];
        $this->text = $args['text'];
        $this->dateini = $args['dateini'];
        $this->datefim = $args['datefim'];
        $this->timeini = $args['timeini'];
        $this->timefim = $args['timefim'];
        $this->link = $args['link'];
        $this->json = $args['json'];
        $this->dateregister = $args['dateregister'];
        return $this;
    }
        
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'key' => $this->key,
            'title' => $this->title,
            'description' => $this->description,
            'text' => $this->text,
            'dateini' => $this->dateini,
            'datefim' => $this->datefim,
            'timeini' => $this->timeini,
            'timefim' => $this->timefim,
            'link' => $this->link,
            'json' => $this->json,
            'dateregister' => $this->dateregister,
        ];
    }



    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of key
     */ 
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @return  self
     */ 
    public function setKey($key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of title
     */ 
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set the value of title
     *
     * @return  self
     */ 
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get the value of description
     */ 
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set the value of description
     *
     * @return  self
     */ 
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get the value of text
     */ 
    public function getText()
    {
        return $this->text;
    }

    /**
     * Set the value of text
     *
     * @return  self
     */ 
    public function setText($text)
    {
        $this->text = $text;

        return $this;
    }

    /**
     * Get the value of dateini
     */ 
    public function getDateini()
    {
        return $this->dateini;
    }

    /**
     * Set the value of dateini
     *
     * @return  self
     */ 
    public function setDateini($dateini)
    {
        $this->dateini = $dateini;

        return $this;
    }

    /**
     * Get the value of datefim
     */ 
    public function getDatefim()
    {
        return $this->datefim;
    }

    /**
     * Set the value of datefim
     *
     * @return  self
     */ 
    public function setDatefim($datefim)
    {
        $this->datefim = $datefim;

        return $this;
    }

    /**
     * Get the value of timeini
     */ 
    public function getTimeini()
    {
        return $this->timeini;
    }

    /**
     * Set the value of timeini
     *
     * @return  self
     */ 
    public function setTimeini($timeini)
    {
        $this->timeini = $timeini;

        return $this;
    }

    /**
     * Get the value of timefim
     */ 
    public function getTimefim()
    {
        return $this->timefim;
    }

    /**
     * Set the value of timefim
     *
     * @return  self
     */ 
    public function setTimefim($timefim)
    {
        $this->timefim = $timefim;

        return $this;
    }

    /**
     * Get the value of link
     */ 
    public function getLink()
    {
        return $this->link;
    }

    /**
     * Set the value of link
     *
     * @return  self
     */ 
    public function setLink($link)
    {
        $this->link = $link;

        return $this;
    }

    /**
     * Get the value of json
     */ 
    public function getJson()
    {
        return $this->json;
    }

    /**
     * Set the value of json
     *
     * @return  self
     */ 
    public function setJson($json)
    {
        $this->json = $json;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }
}
