<?php
namespace inshok\admin\helpers;

trait Html 
{


    
    public function render(string $template, array $templateData): string
    {
        

        // Converte o array recebido em variáveis
        extract($templateData);

        // Inicia um buffer
        ob_start();

        
        require __DIR__ . '/../views/pages/' . $template;


        // Retorna os dados que estão no buffer e limpa o buffer
        $html = ob_get_clean();



        
        return $html;
    }

    

    public function component(string $template, array $templateData): string
    {
        
        // Converte o array recebido em variáveis
        extract($templateData);

        // Inicia um buffer
        ob_start();
        require __DIR__ . '/../views/components/' . $template;

        // Retorna os dados que estão no buffer e limpa o buffer
        $html = ob_get_clean();

        return $html;
    }


    public function email(string $template, array $templateData): string
    {
        
        // Converte o array recebido em variáveis
        extract($templateData);

        // Inicia um buffer
        ob_start();
        require __DIR__ . '/../views/emails/' . $template;

        // Retorna os dados que estão no buffer e limpa o buffer
        $html = ob_get_clean();

        return $html;
    }



}