<?php
namespace inshok\admin\helpers;

class Mask 
{
    
    public static function date_br($date)
    {
        
        $date_formated = $date;

        return $date_formated;
    }


    public static function date_en($date)
    {
        
        $date_formated = $date;

        return $date_formated;
    }

    public static function cel($cel)
    {

        if( empty($cel) ) return '';
        
        $mask = '(##) #####-####';
        $cel_formated = '';

        $k = 0;
        for($i = 0; $i<=strlen($mask)-1; $i++) {
            if($mask[$i] == '#') {
                if(isset($cel[$k])) $cel_formated .= $cel[$k++];
            } else {
                if(isset($mask[$i])) $cel_formated .= $mask[$i];
            }
        }

        return $cel_formated;
    }

    public static function phone($phone)
    {
        if( empty($phone) ) return '';

        $mask = '(##) ####-####';
        $phone_formated = '';

        $k = 0;
        for($i = 0; $i<=strlen($mask)-1; $i++) {
            if($mask[$i] == '#') {
                if(isset($phone[$k])) $phone_formated .= $phone[$k++];
            } else {
                if(isset($mask[$i])) $phone_formated .= $mask[$i];
            }
        }

        return $phone_formated;
    }

    public static function cpf($cpf)
    {

        if( empty($cpf) ) return '';


        $mask = '###.###.###-##';
        $cpf_formated = '';

        $k = 0;
        for($i = 0; $i<=strlen($mask)-1; $i++) {
            if($mask[$i] == '#') {
                if(isset($cpf[$k])) $cpf_formated .= $cpf[$k++];
            } else {
                if(isset($mask[$i])) $cpf_formated .= $mask[$i];
            }
        }

        return $cpf_formated;
    }

    public static function cnpj($cnpj)
    {

        if( empty($cnpj) ) return '';


        $mask = '##.###.###/####-##';
        $cnpj_formated = '';

        $k = 0;
        for($i = 0; $i<=strlen($mask)-1; $i++) {
            if($mask[$i] == '#') {
                if(isset($cnpj[$k])) $cnpj_formated .= $cnpj[$k++];
            } else {
                if(isset($mask[$i])) $cnpj_formated .= $mask[$i];
            }
        }

        return $cnpj_formated;
    }

    public static function rg($rg)
    {
        
        if( empty($rg) ) return '';

        $mask = '##.###.###-#';
        $rg_formated = '';

        $k = 0;
        for($i = 0; $i<=strlen($mask)-1; $i++) {
            if($mask[$i] == '#') {
                if(isset($rg[$k])) $rg_formated .= $rg[$k++];
            } else {
                if(isset($mask[$i])) $rg_formated .= $mask[$i];
            }
        }

        return $rg_formated;
    }

    public static function moeda_br($moeda_br)
    {
        
        $moeda_br_formated = $moeda_br;

        return $moeda_br_formated;
    }



    

       


}