<?php

use inshok\admin\controllers\admin\AdminController;
use inshok\admin\controllers\admin\DashboardController;
use inshok\admin\controllers\admin\LogoutController;
use inshok\admin\controllers\MainController;
use inshok\admin\controllers\NotFoundController;
use inshok\admin\controllers\admin\UserInsertController;
use inshok\admin\controllers\admin\UserListController;
use inshok\admin\controllers\admin\UserContactsController;
use inshok\admin\controllers\admin\UserAddressController;
use inshok\admin\controllers\admin\UserLoginController;
use inshok\admin\controllers\admin\CategoryInsertController;
use inshok\admin\controllers\admin\CategoryListController;
use inshok\admin\controllers\admin\CategoryTemplateListController;
use inshok\admin\controllers\admin\TemplateInsertController;
use inshok\admin\controllers\admin\TemplateListController;
use inshok\admin\controllers\admin\ImageInsertController;
use inshok\admin\controllers\admin\ImageListController;



return [
    'admin' => AdminController::class,
    'dashboard' => DashboardController::class,
    'logout' => LogoutController::class,
    'main' => MainController::class,
    'notfound' => NotFoundController::class,
    'inserir-usuario' => UserInsertController::class,
    'listar-usuarios' => UserListController::class,
    'contatos-usuario' => UserContactsController::class,
    'endereco-usuario' => UserAddressController::class,
    'alterar-senha' => UserLoginController::class,
    'inserir-categoria' => CategoryInsertController::class,
    'listar-categorias' => CategoryListController::class,
    'templates-categorias' => CategoryTemplateListController::class,
    'inserir-template' => TemplateInsertController::class,
    'listar-templates' => TemplateListController::class,
    'listar-imagens' => ImageListController::class,
    'inserir-imagem' => ImageInsertController::class,

];

