
<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
	<!-- Brand Logo -->
	<a href="./dashboard" class="brand-link bg-light pt-3 pb-3">
		<span class="brand-text font-weight-light">
			Logotipo
		</span>
	</a>

	<!-- Sidebar -->
	<div class="sidebar">
		<div class="user-panel mt-3 pb-3 mb-3 d-flex">
			<div class="image">
				<img src="./assets/images/miguel-figueiredo.jpg" class="img-circle elevation-2" alt="User Image">
			</div>
			<div class="info">
				<a href="#" class="d-block">Miguel Figueiredo</a>
			</div>
		</div>

		<!-- Sidebar Menu -->
		<nav class="mt-2">
			<ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
				
				
				<?php if( $access == 1 ): ?>
					<li class="nav-item">
						<a href="#" class="nav-link active">
							<i class="nav-icon fas fa-users"></i>
							<p> Cadastros  <i class="right fas fa-angle-left"></i></p>
						</a>

						<ul class="nav nav-treeview" style="display: none;">
							<li class="nav-item">
								<a href="./inserir-usuario" class="nav-link">
									<p>Inserir usuário</p>
								</a>
							</li>
							<li class="nav-item">
								<a href="./listar-usuarios" class="nav-link">
									<p>Listar usuários</p>
								</a>
							</li>
						</ul>

					</li>
				<?php endif; ?>


				<?php if( $access == 1 ): ?>
					<li class="nav-item">
						<a href="#" class="nav-link active">
							<i class="nav-icon fas fa-list"></i>
							<p> Categorias  <i class="right fas fa-angle-left"></i></p>
						</a>

						<ul class="nav nav-treeview" style="display: none;">
							<li class="nav-item">
								<a href="./inserir-categoria" class="nav-link">
									<p>Inserir categoria</p>
								</a>
							</li>
							<li class="nav-item">
								<a href="./listar-categorias" class="nav-link">
									<p>Listar categoria</p>
								</a>
							</li>
						</ul>

					</li>
				<?php endif; ?>



				<?php if( $access == 1 ): ?>
					<li class="nav-item">
						<a href="#" class="nav-link active">
							<i class="nav-icon fas fa-file-alt"></i>
							<p> Templates  <i class="right fas fa-angle-left"></i></p>
						</a>

						<ul class="nav nav-treeview" style="display: none;">
							<li class="nav-item">
								<a href="./inserir-template" class="nav-link">
									<p>Inserir template</p>
								</a>
							</li>
							<li class="nav-item">
								<a href="./listar-templates" class="nav-link">
									<p>Listar templates</p>
								</a>
							</li>
						</ul>

					</li>
				<?php endif; ?>




				<?php if( $access == 1 ): ?>
					<li class="nav-item">
						<a href="#" class="nav-link active">
							<i class="nav-icon fas fa-image"></i>
							<p> Imagens  <i class="right fas fa-angle-left"></i></p>
						</a>

						<ul class="nav nav-treeview" style="display: none;">
							<li class="nav-item">
								<a href="./inserir-imagem" class="nav-link">
									<p>Inserir imagem</p>
								</a>
							</li>
							<li class="nav-item">
								<a href="./listar-imagens" class="nav-link">
									<p>Listar imagens</p>
								</a>
							</li>
						</ul>

					</li>
				<?php endif; ?>


			</ul>
		</nav>
		<!-- /.sidebar-menu -->
	</div>
	<!-- /.sidebar -->
</aside>