<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>



	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title; ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                
                                if( isset($message_return) ) : 
                                
                                    if($message_return == 1) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 2) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 3) {
                                        
                                        $message_class = 'alert-warning';

                                    }
                                    ?>
                                
                                    <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                    
                                <?php endif; ?>

                                <form method="POST" data-form-register>

                                    <div class="card-body">
                                        <fieldset class="mt-4">
                                            <?php

                                            $selected_access = 1;
                                            if( isset($pdo_user_list) ) {
                                                $selected_access = $pdo_user_list['userlogin_access'];
                                            }
                                            ?>

                                            <label for="user_access" class="form-label">Nível de acesso</label>
                                            <select class="form-control" name="user_access" id="user_access">
                                                <?php for($i=1 ; $i<=2 ; $i++): ?>
                                                    <?php if($i == $selected_access): ?>
                                                        <option value="<?= $i ?>" selected><?= $i ?></option>
                                                    <?php else: ?>
                                                        <option value="<?= $i ?>"><?= $i ?></option>
                                                    <?php endif ?>
                                                <?php endfor; ?>
                                            </select>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="user_name" class="form-label">Nome</label>
                                            <input type="text" class="form-control" id="user_name" name="user_name" placeholder="Insira o nome do usuário" value="<?= isset($pdo_user_list) ? $pdo_user_list['user_name'] : '' ?>" data-type="name" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>
                                        
                                        <fieldset class="mt-4">
                                            <label for="user_cpf" class="form-label">CPF</label>
                                            <input type="text" class="form-control" id="user_cpf" name="user_cpf" placeholder="Insira o cpf do usuário" value="<?= isset($pdo_user_list) ? $pdo_user_list['user_cpf'] : '' ?>" data-type="cpf" required data-input-register="cpf" maxlength="11">
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="usercontact_email" class="form-label">E-mail</label>
                                            <input type="email" class="form-control" id="usercontact_email" name="usercontact_email" placeholder="Ex. contato@suaespera.com.br" value="<?= isset($pdo_user_list) ? $pdo_user_list['usercontact_email'] : '' ?>" data-type="email" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="usercontact_cel1" class="form-label">Whatsapp</label>
                                            <input type="tel" class="form-control" id="usercontact_cel1" name="usercontact_cel1" placeholder="Ex. (11) 99999-9999" value="<?= isset($pdo_user_list) ? $pdo_user_list['usercontact_cel1'] : '' ?>" data-type="whatsapp" pattern="\((?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{2}\)\s(?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{4,5}-(?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{4}$" required data-input-register="whatsapp">
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="userlogin_pass" class="form-label">Senha</label>
                                            <input type="password" class="form-control" id="userlogin_pass" name="userlogin_pass" placeholder="Ex. SU@Espe0204ra##a" data-type="pass" required data-input-register="pass">

                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="userlogin_repass" class="form-label">Redigite a senha</label>
                                            <input type="password" class="form-control" id="userlogin_repass" name="userlogin_repass" placeholder="Ex. SU@Espe0204ra##a" data-type="repass" required data-input-register="repass">
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary">
                                            <?= $text_button ?>
                                        </button>
                                        <input type="hidden" name="action" value="<?= $action ?>">
                                        <input type="hidden" name="user_id" value="<?= isset($pdo_user_list) ? $pdo_user_list['user_id'] : '' ?>">
                                    </div>

                                </form>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
