<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
            
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0"><?= $page_title ?></h1>
                        </div><!-- /.col -->
                        
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">

                            <form method="POST" enctype="multipart/form-data" data-form-register>
                                <!-- Default box -->
                                <div class="card">
                                    <div class="card-header">

                                        <div class="card-tools">
                                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                                <i class="fas fa-minus"></i>
                                            </button>
                                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                                <i class="fas fa-times"></i>
                                            </button>
                                        </div>
                                    </div>

                                    
                                    <?php 
                                    
                                    if( isset($message_return) ) : 
                                        if($message_return == 1) {
                                            $message_class = 'alert-success';
                                        } elseif($message_return == 2) {
                                            $message_class = 'alert-warning';
                                        } elseif($message_return == 3) {
                                            $message_class = 'alert-warning';
                                        }
                                        ?>
                                    
                                        <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                        
                                    <?php endif; ?>

                                    <div class="card-body">

                                        
										<fieldset class="mt-4">
											<label for="clinic_id" class="form-label">Selecione a Clínica</label>
											<select class="form-control" id="clinic_id" name="clinic_id" placeholder="Profissional" data-type="clinic" required data-input-register="clinic">
												<option value="0">Selecione a clínica</option>
												<?php foreach($clinic_list as $clinic_item): ?>

													<?php
													$selected = '';
													if($clinic_item['clinic_id'] == $scheduling_list[0]['clinic_id']) {
														$selected = 'selected';
													}
													?>

													<option value="<?= $clinic_item['clinic_id'] ?>" <?= $selected ?>><?= $clinic_item['clinic_name'] ?></option>
												<?php endforeach ?>
											</select>
                                            <p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="doctor_id" class="form-label">Selecione o Profissional</label>
											<select class="form-control" id="doctor_id" name="doctor_id" placeholder="Profissional" data-type="doctor" required data-input-register="doctor">
												<option value="0">Selecione o profissional</option>
												<?php foreach($doctor_list as $doctor_item): ?>
													
													<?php
													$selected = '';
													if($doctor_item['doctor_id'] == $scheduling_list[0]['doctor_id']) {
														$selected = 'selected';
													}
													?>

													<option value="<?= $doctor_item['doctor_id'] ?>" <?= $selected ?>><?= $doctor_item['doctor_name'] ?></option>
												<?php endforeach ?>
											</select>
                                            <p class="text-danger m-0 p-0" data-error></p>
										</fieldset>
                                        
                                        <fieldset class="mt-4">
                                            <label  class="form-label" for="file_list_upload">Selecione o arquivo</label>
                                            <input class="form-control" type="file" id="file_list_upload" name="file_list_upload" data-type="upload" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                    

                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <input type="submit" class="btn btn-primary" value="<?= $text_button ?>">
                                        <a href="./lista-consultas" class="btn btn-secondary">Listar consultas</a>
                                        <a href="./csv/AgendaCSV.csv" class="btn btn-warning" target="_blank">Baixar modelo .CSV</a>
                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->

                            </form>
                        </div>
                    </div>
                </div>
            </section>

		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
