<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                if( isset($message_return) ) : 
                                
                                    if($message_return[1] == 1) {
                                        $message_class = 'alert-success';
                                    } elseif($message_return[1] == 2) {
                                        $message_class = 'alert-warning';
                                    }

                                    echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                endif;
                                ?>

								<form method="POST" data-register="form">

									<div class="card-body">
										
										<fieldset class="mt-4">
											<label for="key" class="form-label">Chave de identificação*</label>
											<input type="text" class="form-control" id="key" name="key" value="<?= isset($category) ? $category->key : '' ?>" data-type="key" data-register="key" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="name" class="form-label">Nome da Categoria*</label>
											<input type="text" class="form-control" id="name" name="name" value="<?= isset($category) ? $category->name : '' ?>" data-type="name" data-register="name" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="description" class="form-label">Descrição da categoria</label>
											<textarea  class="form-control" id="description" name="description" data-type="description" data-register="description" required><?= isset($category) ? $category->description : '' ?></textarea>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="text" class="form-label">Texto complementar</label>
											<input type="text" class="form-control" id="text" name="text" value="<?= isset($category) ? $category->text : '' ?>" data-type="text" data-register="text" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

									</div>
									<!-- /.card-body -->

									<div class="card-footer">
										<button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-categorias" class="btn btn-secondary">Ver lista de categorias</a>
									</div>
									<!-- /.card-footer-->

								</form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
