import { Register } from './Controller/Validate/Register.js';
import { ConfigForm } from './Controller/Config/ConfigForm.js';


const insertuser = ( () => {


    const errorMessages = {
        name: {
            valueMissing: 'Você precisa preencher o nome do profissional.'
        },
        specialty: {
            valueMissing: 'Você precisa preencher o campo especialidade.'
        }
    }
    
    const validators = {}


    const register = new Register( errorMessages , validators );
    
    const configFormRegister = new ConfigForm( register );
    configFormRegister.configInputs('[data-input-register]' , 'blur' , 'error');
    configFormRegister.configSend('[data-form-register]');
    

} )();



