<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUserAddress;

//use PDO;


class EntityAddress implements \JsonSerializable
{

    private $id;
    private $rua;
    private $cep;
    private $numero;
    private $complemento;
    private $bairro;
    private $cidade;
    private $estado;
    private $pais;
    private $dateregister;


    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoUserAddress();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {

        $this->id = !empty($args['address_id']) ? $args['address_id'] : $this->id;
        $this->rua = !empty($args['rua']) ? $args['rua'] : $this->rua;
        $this->numero = !empty($args['numero']) ? $args['numero'] : $this->numero;
        $this->complemento = !empty($args['complemento']) ? $args['complemento'] : $this->complemento;
        $this->bairro = !empty($args['bairro']) ? $args['bairro'] : $this->bairro;
        $this->cidade = !empty($args['cidade']) ? $args['cidade'] : $this->cidade;
        $this->estado = !empty($args['estado']) ? $args['estado'] : $this->estado;
        $this->pais = !empty($args['pais']) ? $args['pais'] : $this->pais;
        $this->cep = !empty($args['cep']) ? $args['cep'] : $this->cep;
        $this->dateregister = !empty($args['user_dateregister']) ? $args['user_dateregister'] : $this->dateregister;
        return $this;
    }

    
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'rua' => $this->rua,
            'numero' => $this->numero,
            'complemento' => $this->complemento,
            'bairro' => $this->bairro,
            'cidade' => $this->cidade,
            'estado' => $this->estado,
            'pais' => $this->pais,
            'cep' => $this->cep,
            'dateregister' => $this->dateregister,
        ];
    }


    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of rua
     */ 
    public function getRua()
    {
        return $this->rua;
    }

    /**
     * Set the value of rua
     *
     * @return  self
     */ 
    public function setRua($rua)
    {
        $this->rua = $rua;

        return $this;
    }

    /**
     * Get the value of numero
     */ 
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set the value of numero
     *
     * @return  self
     */ 
    public function setNumero($numero)
    {
        $this->numero = $numero;

        return $this;
    }

    /**
     * Get the value of complemento
     */ 
    public function getComplemento()
    {
        return $this->complemento;
    }

    /**
     * Set the value of complemento
     *
     * @return  self
     */ 
    public function setComplemento($complemento)
    {
        $this->complemento = $complemento;

        return $this;
    }

    /**
     * Get the value of bairro
     */ 
    public function getBairro()
    {
        return $this->bairro;
    }

    /**
     * Set the value of bairro
     *
     * @return  self
     */ 
    public function setBairro($bairro)
    {
        $this->bairro = $bairro;

        return $this;
    }

    /**
     * Get the value of cidade
     */ 
    public function getCidade()
    {
        return $this->cidade;
    }

    /**
     * Set the value of cidade
     *
     * @return  self
     */ 
    public function setCidade($cidade)
    {
        $this->cidade = $cidade;

        return $this;
    }

    /**
     * Get the value of estado
     */ 
    public function getEstado()
    {
        return $this->estado;
    }

    /**
     * Set the value of estado
     *
     * @return  self
     */ 
    public function setEstado($estado)
    {
        $this->estado = $estado;

        return $this;
    }

    /**
     * Get the value of pais
     */ 
    public function getPais()
    {
        return $this->pais;
    }

    /**
     * Set the value of pais
     *
     * @return  self
     */ 
    public function setPais($pais)
    {
        $this->pais = $pais;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }

    /**
     * Get the value of cep
     */ 
    public function getCep()
    {
        return $this->cep;
    }

    /**
     * Set the value of cep
     *
     * @return  self
     */ 
    public function setCep($cep)
    {
        $this->cep = $cep;

        return $this;
    }
}
