<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoUser;

//use PDO;


class EntityUser implements \JsonSerializable
{

    private $id;
    private $email;
    private $name;
    private $lastname;
    private $dateregister;

    public function __construct() 
    {
        
    }

    public function load( $id ) 
    {
        
        // Carrega dos dados a entidade no PDO
        $pdo = new PdoUser();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {

        $this->id = !empty($args['user_id']) ? $args['user_id'] : $this->id;
        $this->email = !empty($args['email']) ? $args['email'] : $this->email;
        $this->name = !empty($args['name']) ? $args['name'] : $this->name;
        $this->lastname = !empty($args['lastname']) ? $args['lastname'] : $this->lastname;
        $this->dateregister = !empty($args['user_dateregister']) ? $args['user_dateregister'] : $this->dateregister;

        return $this;
    }
        
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'email' => $this->email,
            'name' => $this->name,
            'lastname' => $this->lastname,
            'dateregister' => $this->dateregister
        ];
    }


    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of email
     */ 
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * Set the value of email
     *
     * @return  self
     */ 
    public function setEmail($email)
    {
        $this->email = $email;

        return $this;
    }

    /**
     * Get the value of name
     */ 
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set the value of name
     *
     * @return  self
     */ 
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get the value of lastname
     */ 
    public function getLastname()
    {
        return $this->lastname;
    }

    /**
     * Set the value of lastname
     *
     * @return  self
     */ 
    public function setLastname($lastname)
    {
        $this->lastname = $lastname;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }
}
