<?php

namespace inshok\admin\entity;


use inshok\admin\database\PdoMolecules;

//use PDO;


class EntityMolecules implements \JsonSerializable
{

    private $id;
    private $key;
    private $type;
    private $value;
    private $json;
    private $dateregister;



    public function __construct() {
        
    }

    public function load( $id ) {

        $pdo = new PdoMolecules();
        $this->setInstance( $pdo->list( $id ) );

    }

    public function setInstance( $args ) {
        $this->id = $args['id'];
        $this->key = $args['key'];
        $this->type = $args['type'];
        $this->value = $args['value'];
        $this->json = $args['json'];
        $this->dateregister = $args['dateregister'];
        return $this;
    }
        
    public function jsonSerialize() 
    {
        return [
            'id' => $this->id,
            'key' => $this->key,
            'type' => $this->type,
            'value' => $this->value,
            'json' => $this->json,
            'dateregister' => $this->dateregister,
        ];
    }


    /**
     * Get the value of id
     */ 
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @return  self
     */ 
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of key
     */ 
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @return  self
     */ 
    public function setKey($key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of type
     */ 
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set the value of type
     *
     * @return  self
     */ 
    public function setType($type)
    {
        $this->type = $type;

        return $this;
    }

    /**
     * Get the value of value
     */ 
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Set the value of value
     *
     * @return  self
     */ 
    public function setValue($value)
    {
        $this->value = $value;

        return $this;
    }

    /**
     * Get the value of json
     */ 
    public function getJson()
    {
        return $this->json;
    }

    /**
     * Set the value of json
     *
     * @return  self
     */ 
    public function setJson($json)
    {
        $this->json = $json;

        return $this;
    }

    /**
     * Get the value of dateregister
     */ 
    public function getDateregister()
    {
        return $this->dateregister;
    }

    /**
     * Set the value of dateregister
     *
     * @return  self
     */ 
    public function setDateregister($dateregister)
    {
        $this->dateregister = $dateregister;

        return $this;
    }
}
