<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                    
                                if( isset($message_return) ) : 
                                
                                    if($message_return == 1) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 2) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 3) {
                                        
                                        $message_class = 'alert-warning';

                                    }
                                    ?>
                                
                                    <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                    
                                <?php endif; ?>

                                <form method="POST">

                                    <div class="card-body">
                                    
                                        <fieldset class="mt-4">
                                            <label for="clinic_name" class="form-label">Nome</label>
                                            <input type="text" class="form-control" id="clinic_name" name="clinic_name" placeholder="" value="<?= isset($clinic_list) ? $clinic_list['clinic_name'] : '' ?>" data-type="name" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinic_description" class="form-label">Descrição</label>
                                            <textarea class="form-control" id="clinic_description" name="clinic_description" placeholder=""><?php
                                                if( isset($clinic_list) ) {
                                                    echo $clinic_list['clinic_description'];
                                                }
                                            ?></textarea>
                                        </fieldset>

                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary"><?= $text_button; ?></button>
                                    </div>
                                <!-- /.card-footer-->

                                </form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
