<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>



	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title; ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 


                                if( isset($message_return) ) : 
                                
                                    if($message_return == 1) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 2) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 3) {
                                        
                                        $message_class = 'alert-warning';

                                    }
                                    ?>
                                
                                    <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                    
                                <?php endif; ?>

                                <form method="POST" data-form-register>

                                    <div class="card-body">

                                        <fieldset class="mt-4">
                                            <label for="doctor_name" class="form-label">Nome</label>
                                            <input type="text" class="form-control" id="doctor_name" name="doctor_name" placeholder="Insira o nome do profissional" value="<?= isset($doctor_list) ? $doctor_list[0]['doctor_name'] : '' ?>" data-type="name" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>
                                        
                                        <fieldset class="mt-4">
                                            <label for="doctor_description" class="form-label">Descrição</label>
                                            <textarea type="text" class="form-control" id="doctor_description" name="doctor_description" placeholder="Insira a descriação desse profissional"><?= isset($doctor_list) ? $doctor_list[0]['doctor_description'] : '' ?></textarea>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="doctor_specialty" class="form-label">Especialidade</label>
                                            <input type="text" class="form-control" id="doctor_specialty" name="doctor_specialty" placeholder="Ex. fisioterapia" value="<?= isset($doctor_list) ? $doctor_list[0]['doctor_specialty'] : '' ?>" data-type="specialty" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">

                                        <button class="btn btn-primary">
                                            <?= $text_button ?>
                                        </button>
                                        <input type="hidden" name="action" value="<?= $action ?>">
                                        <input type="hidden" name="doctor_id" value="<?= isset($doctor_list) ? $doctor_list[0]['doctor_id'] : '' ?>">

                                    </div>

                                </form>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
