<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>


								
                                <?php 
                                
                                if( isset($message_return) ) : 
                                
                                    if($message_return == 1) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 2) {

                                        $message_class = 'alert-success';

                                    } elseif($message_return == 3) {
                                        
                                        $message_class = 'alert-warning';

                                    }
                                    ?>
                                
                                    <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                    
                                <?php endif; ?>


								<form method="POST" data-form-register>

									<div class="card-body">
										
										<?php 
										
										$scheduling_dateconsultation_date = '';
										$scheduling_dateconsultation_time = '';
										
										if(isset($scheduling_list)) {
											$scheduling_dateconsultation_datetime = new datetime($scheduling_list[0]['scheduling_dateconsultation']);
	
											$scheduling_dateconsultation_date = $scheduling_dateconsultation_datetime->format('Y-m-d');
	
											$scheduling_dateconsultation_time = $scheduling_dateconsultation_datetime->format('H:i:s');

										}
										
										?>

										<fieldset class="mt-4">
											<label for="patient_name" class="form-label">Nome do paciente</label>
											<input type="text" class="form-control" id="patient_name" name="patient_name" value="<?= isset($scheduling_list) ? $scheduling_list[0]['patient_name'] : '' ?>" data-type="name" required data-input-register>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="patient_whatsapp" class="form-label">Whatsapp do paciente</label>
											<input type="text" class="form-control" id="patient_whatsapp" name="patient_whatsapp" value="<?= isset($scheduling_list) ? $scheduling_list[0]['patient_whatsapp'] : '' ?>" data-type="whatsapp" required data-input-register="whatsapp">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="patient_email" class="form-label">E-mail do paciente</label>
											<input type="email" class="form-control" id="patient_email" name="patient_email" value="<?= isset($scheduling_list) ? $scheduling_list[0]['patient_email'] : '' ?>" data-type="email" required data-input-register>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>
										
										<fieldset class="mt-4">
											<label for="scheduling_description" class="form-label">Comentário</label>
											<textarea type="email" class="form-control" id="scheduling_description" name="scheduling_description" data-type="description" required data-input-register><?= isset($scheduling_list) ? $scheduling_list[0]['scheduling_description'] : '' ?></textarea>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="scheduling_dateconsultation_date" class="form-label">Data da consulta</label>
											<input type="date" class="form-control" id="scheduling_dateconsultation_date" name="scheduling_dateconsultation_date" value="<?= $scheduling_dateconsultation_date ?>" data-type="date" required data-input-register>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="scheduling_dateconsultation_time" class="form-label">Horário da consulta</label>
											<input type="time" class="form-control" id="scheduling_dateconsultation_time" name="scheduling_dateconsultation_time" value="<?= $scheduling_dateconsultation_time ?>" data-type="time" required data-input-register>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="clinic_id" class="form-label">Selecione a Clínica</label>
											<select class="form-control" id="clinic_id" name="clinic_id" placeholder="Profissional" data-type="clinic" required data-input-register="clinic">
												<option value="0">Selecione a clínica</option>
												<?php foreach($clinic_list as $clinic_item): ?>

													<?php
													$selected = '';
													if($clinic_item['clinic_id'] == $scheduling_list[0]['clinic_id']) {
														$selected = 'selected';
													}
													?>

													<option value="<?= $clinic_item['clinic_id'] ?>" <?= $selected ?>><?= $clinic_item['clinic_name'] ?></option>
												<?php endforeach ?>
											</select>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="doctor_id" class="form-label">Selecione o Profissional</label>
											<select class="form-control" id="doctor_id" name="doctor_id" placeholder="Profissional" data-type="doctor" required data-input-register="doctor">
												<option value="0">Selecione o profissional</option>
												<?php foreach($doctor_list as $doctor_item): ?>
													
													<?php
													$selected = '';
													if($doctor_item['doctor_id'] == $scheduling_list[0]['doctor_id']) {
														$selected = 'selected';
													}
													?>

													<option value="<?= $doctor_item['doctor_id'] ?>" <?= $selected ?>><?= $doctor_item['doctor_name'] ?></option>
												<?php endforeach ?>
											</select>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>


									</div>
									<!-- /.card-body -->

									<div class="card-footer">
										<button class="btn btn-primary"><?= $text_button ?></button>
									</div>
									<!-- /.card-footer-->

								</form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
