<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <form method="POST" data-form-register>
                                <div class="card">
                                    <div class="card-header">

                                        <div class="card-tools">
                                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                                <i class="fas fa-minus"></i>
                                            </button>
                                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                                <i class="fas fa-times"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        

                                        <fieldset class="mt-4">
                                            <label for="cliniccontact_email" class="form-label">E-mail</label>
                                            <input type="email" class="form-control" id="cliniccontact_email" name="cliniccontact_email" placeholder="contato@suaespera.com.br" value="<?= $clinic_list['cliniccontact_email']; ?>" data-type="email" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="cliniccontact_landline" class="form-label">Telefone Fixo</label>
                                            <input type="text" class="form-control" id="cliniccontact_landline" name="cliniccontact_landline" placeholder="(72) 99999-9999" value="<?= $clinic_list['cliniccontact_landline']; ?>">
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="cliniccontact_cel1" class="form-label">Whatsapp</label>
                                            <input type="text" class="form-control" id="cliniccontact_cel1" name="cliniccontact_cel1" placeholder="(72) 99999-9999" value="<?= $clinic_list['cliniccontact_cel1']; ?>" data-type="whatsapp" pattern="\((?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{2}\)\s(?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{4,5}-(?!.*[!@#$%^&*_=+])(?!.*[a-zA-z])(?=.*[0-9]).{4}$" required data-input-register="whatsapp">
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="cliniccontact_cel2" class="form-label">Celular 2</label>
                                            <input type="text" class="form-control" id="cliniccontact_cel2" name="cliniccontact_cel2" placeholder="(72) 99999-9999" value="<?= $clinic_list['cliniccontact_cel2']; ?>">
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="cliniccontact_cel3" class="form-label">Celular 3</label>
                                            <input type="text" class="form-control" id="cliniccontact_cel3" name="cliniccontact_cel3" placeholder="(72) 99999-9999" value="<?= $clinic_list['cliniccontact_cel3']; ?>">
                                        </fieldset>


                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary"><?= $text_button ?></button>
                                        <a href="/lista-clinicas" class="btn btn-primary">Voltar</a>
                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </form>
                        </div>
                        
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
