<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                if( isset($message_return) ) : 
                                
                                    if($message_return[1] == 1) {
                                        $message_class = 'alert-success';
                                    } elseif($message_return[1] == 2) {
                                        $message_class = 'alert-warning';
                                    }

                                    echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                endif;
                                ?>

								<form method="POST" data-register="form">

									<div class="card-body">
										
										<fieldset class="mt-4">
											<label for="key" class="form-label">Chave de identificação*</label>
											<input type="text" class="form-control" id="key" name="key" value="<?= isset($templatelist) ? $templatelist->key : '' ?>" data-type="key" data-register="key" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="title" class="form-label">Título do template*</label>
											<input type="text" class="form-control" id="title" name="title" value="<?= isset($templatelist) ? $templatelist->title : '' ?>" data-type="title" data-register="title" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="description" class="form-label">Descrição da template</label>
											<textarea  class="form-control" id="description" name="description" data-type="description" data-register="description"><?= isset($templatelist) ? $templatelist->description : '' ?></textarea>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="text" class="form-label">Texto complementar</label>
											<input type="text" class="form-control" id="text" name="text" value="<?= isset($templatelist) ? $templatelist->text : '' ?>" data-type="text" data-register="text">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="dateini" class="form-label">Data inicial</label>
											<input type="date" class="form-control" id="dateini" name="dateini" value="<?= isset($templatelist) ? $templatelist->dateini : '' ?>" data-type="dateini" data-register="dateini">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="datefim" class="form-label">Data final</label>
											<input type="date" class="form-control" id="datefim" name="datefim" value="<?= isset($templatelist) ? $templatelist->datefim : '' ?>" data-type="datefim" data-register="datefim">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="timeini" class="form-label">Horário inicial</label>
											<input type="time" step="1" class="form-control" id="timeini" name="timeini" value="<?= isset($templatelist) ? $templatelist->timeini : '' ?>" data-type="timeini" data-register="timeini">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="timefim" class="form-label">Horário final</label>
											<input type="time" step="1" class="form-control" id="timefim" name="timefim" value="<?= isset($templatelist) ? $templatelist->timefim : '' ?>" data-type="timefim" data-register="timefim">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="link" class="form-label">Link</label>
											<input type="text" step="1" class="form-control" id="link" name="link" value="<?= isset($templatelist) ? $templatelist->link : '' ?>" data-type="link" data-register="link">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

									</div>
									<!-- /.card-body -->

									<div class="card-footer">
										<button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-templates" class="btn btn-secondary">Ver lista de templates</a>
									</div>
									<!-- /.card-footer-->

								</form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
