<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lista de usuários</h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->

		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        
                                    </h3>
                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <div class="card-body">
                                    
                                    <?php 
                                    if( isset($message_return) ) : 
                                    
                                        if($message_return[1] == 1) {
                                            $message_class = 'alert-success';
                                        } elseif($message_return[1] == 2) {
                                            $message_class = 'alert-warning';
                                        }

                                        echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                    endif;
                                    ?>

                                    <table class="table table-striped projects">
                                        <thead>
                                            <tr>
                                                <th style="width: 1%">#</th>
                                                <th style="width: 29%">Chave de identificação</th>
                                                <th style="width: 30%">Nome do template</th>
                                                <th style="width: 40%"></th>
                                            </tr>
                                        </thead>

                                        <tbody>

                                            <?php foreach($template_list as $template): ?>
                                                <tr>
                                                    <td>#</td>
                                                    <td><?= $template->getKey() ?></td>
                                                    <td><?= $template->getTitle() ?></td>
                                                    
                                                    <td class="project-actions text-right">
                                                        <a class="btn btn-info btn-sm" href="/inserir-template?action=update&id=<?= $template->getId() ?>">
                                                            <i class="fas fa-pencil-alt mr-1"></i> Editar
                                                        </a>
                                                        <a class="btn btn-danger btn-sm " href="./listar-templates?action=delete&id=<?= $template->getId() ?>" data-button="exclude">
                                                            <i class="fas fa-trash mr-1"></i> Excluir
                                                        </a>
                                                    </td>
                                                </tr>
                                            <?php endforeach; ?>


                                        </tbody>
                                    </table>

                                    <nav class="mt-3" aria-label="Paginação">
                                        <ul class="pagination">
                                            <li class="page-item"><a class="page-link" href="./listar-templates?page=1"><i class="fas fa-arrow-circle-left"></i></a></li>

                                            <?php
                                            for($i=0 ; $i<$total ; $i++) {
                                                $active = '';
                                                if( $page == $i ) $active = 'active';
                                                echo '<li class="page-item '.$active.'"><a class="page-link" href="./listar-templates?page='.($i+1).'">'.($i+1).'</a></li>';
                                            }
                                            ?>
                                            
                                            <li class="page-item"><a class="page-link" href="./listar-templates?page=<?= $total ?>"><i class="fas fa-arrow-circle-right"></i></a></li>
                                        </ul>
                                    </nav>

                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <a href="/inserir-template">
                                        <button class="btn btn-primary">Novo template</button>
                                    </a>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
