<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->




                            <form method="POST" data-form-register>
                                <div class="card">
                                    <div class="card-header">

                                        <div class="card-tools">
                                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                                <i class="fas fa-minus"></i>
                                            </button>
                                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                                <i class="fas fa-times"></i>
                                            </button>
                                        </div>
                                    </div>


                                    <div class="card-body">

                                        <?php 
                                        if( isset($message_return) ) : 
                                        
                                            if($message_return[1] == 1) {
                                                $message_class = 'alert-success';
                                            } elseif($message_return[1] == 2) {
                                                $message_class = 'alert-warning';
                                            }

                                            echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                        endif;
                                        ?>
                                    
                                        <fieldset class="mt-4">
                                            <label for="cep" class="form-label">CEP</label>
                                            <input type="text" class="form-control" id="cep" placeholder="Digite o CEP, os demais campos serão preenchidos automáticamente" name="cep" value="<?= isset($address) ? ($address->cep) : '' ?>" data-type="cep" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="rua" class="form-label">Rua</label>
                                            <input type="text" class="form-control" id="rua" name="rua" placeholder="Rua" value="<?= isset($address) ? ($address->rua) : '' ?>" data-type="rua" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="numero" class="form-label">Número</label>
                                            <input type="text" class="form-control" id="numero" name="numero" placeholder="Número" value="<?= isset($address) ? ($address->numero) : '' ?>" data-type="numero" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="complemento" class="form-label">Complemento</label>
                                            <input type="text" class="form-control" id="complemento" name="complemento" placeholder="Complemento" value="<?= isset($address) ? ($address->complemento) : '' ?>">
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="bairro" class="form-label">Bairro</label>
                                            <input type="text" class="form-control" id="bairro" name="bairro" placeholder="Bairro" value="<?= isset($address) ? ($address->bairro) : '' ?>" data-type="bairro" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="cidade" class="form-label">Cidade</label>
                                            <input type="text" class="form-control" id="cidade" name="cidade" placeholder="Cidade" value="<?= isset($address) ? ($address->cidade) : '' ?>" data-type="cidade" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="estado" class="form-label">Estado</label>
                                            <input type="text" class="form-control" id="estado" name="estado" placeholder="Estado" value="<?= isset($address) ? ($address->estado) : '' ?>" data-type="estado" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="pais" class="form-label">País</label>
                                            <input type="text" class="form-control" id="pais" name="pais" placeholder="País" value="<?= isset($address) ? ($address->pais) : '' ?>" data-type="pais" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>


                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-usuarios" class="btn btn-secondary">Ver lista de usuários</a>
                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </form>
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
