<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    Dados pessoais

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                if( isset($message_return) ) : 
                                
                                    if($message_return[1] == 1) {
                                        $message_class = 'alert-success';
                                    } elseif($message_return[1] == 2) {
                                        $message_class = 'alert-warning';
                                    }

                                    echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                endif;
                                ?>

								<form method="POST" data-register="form">

									<div class="card-body">
                                        
                                        <fieldset class="mt-4">
											<label for="whatsapp" class="form-label">Whatsapp</label>
											<input type="whatsapp" class="form-control" id="whatsapp" name="whatsapp" value="<?= isset($contacts) ? $contacts->whatsapp : '' ?>" data-type="whatsapp" data-register="whatsapp">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<fieldset class="mt-4">
											<label for="phone" class="form-label">Telefone Principal</label>
											<input type="text" class="form-control" id="phone" name="phone" value="<?= isset($contacts) ? $contacts->phone : '' ?>" data-type="phone" data-register="phone">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="landline" class="form-label">Telefone Fixo</label>
											<input type="landline" class="form-control" id="landline" name="landline" value="<?= isset($contacts) ? $contacts->landline : '' ?>" data-type="landline" data-register="landline">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="email1" class="form-label">Email 1</label>
											<input type="email1" class="form-control" id="email1" name="email1" value="<?= isset($contacts) ? $contacts->email1 : '' ?>" data-type="email1" data-register="email1">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="email2" class="form-label">Email 2</label>
											<input type="email2" class="form-control" id="email2" name="email2" value="<?= isset($contacts) ? $contacts->email2 : '' ?>" data-type="email2" data-register="email2">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="email3" class="form-label">Email 3</label>
											<input type="email3" class="form-control" id="email3" name="email3" value="<?= isset($contacts) ? $contacts->email3 : '' ?>" data-type="email3" data-register="email3">
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<input type="hidden" name="user_id" value="<?= isset($user) ? $user->id : '' ?>">
										<input type="hidden" name="contacts_id" value="<?= isset($contacts) ? $contacts->id : '' ?>">

									</div>
									<!-- /.card-body -->

									<div class="card-footer">
										<button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-usuarios" class="btn btn-secondary">Ver lista de usuários</a>
									</div>
									<!-- /.card-footer-->

								</form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
