<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">

                                    Dados pessoais

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <?php 
                                if( isset($message_return) ) : 
                                
                                    if($message_return[1] == 1) {
                                        $message_class = 'alert-success';
                                    } elseif($message_return[1] == 2) {
                                        $message_class = 'alert-warning';
                                    }

                                    echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                endif;
                                ?>

								<form method="POST" data-register="form">

									<div class="card-body">
										
										<fieldset class="mt-4">
											<label for="full_name" class="form-label">Nome do usuário*</label>
											<input type="text" class="form-control" id="full_name" name="full_name" value="<?= isset($user) ? ($user->name .' '. $user->lastname) : '' ?>" data-type="name" data-register="name" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="email" class="form-label">E-mail do usuário*</label>
											<input type="email" class="form-control" id="email" name="email" value="<?= isset($user) ? $user->email : '' ?>" data-type="email" data-register="email" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="whatsapp" class="form-label">Whatsapp do usuário*</label>
											<input type="whatsapp" class="form-control" id="whatsapp" name="whatsapp" value="<?= isset($contacts) ? $contacts->whatsapp : '' ?>" data-type="whatsapp" data-register="whatsapp" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="cpf" class="form-label">CPF do usuário*</label>
											<input type="cpf" class="form-control" id="cpf" name="cpf" value="<?= isset($documents) ? $documents->cpf : '' ?>" data-type="cpf" data-register="cpf" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

                                        <fieldset class="mt-4">
											<label for="rg" class="form-label">RG do usuário*</label>
											<input type="rg" class="form-control" id="rg" name="rg" value="<?= isset($documents) ? $documents->rg : '' ?>" data-type="rg" data-register="rg" required>
											<p class="text-danger m-0 p-0" data-error></p>
										</fieldset>

										<input type="hidden" name="user_id" value="<?= isset($user) ? $user->id : '' ?>">
										<input type="hidden" name="contacts_id" value="<?= isset($contacts) ? $contacts->id : '' ?>">
										<input type="hidden" name="documents_id" value="<?= isset($documents) ? $documents->id : '' ?>">

									</div>
									<!-- /.card-body -->

									<div class="card-footer">
										<button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-usuarios" class="btn btn-secondary">Ver lista de usuários</a>
									</div>
									<!-- /.card-footer-->

								</form>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
