<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->




                            <form method="POST" data-form-register>
                                <div class="card">
                                    <div class="card-header">

                                        <div class="card-tools">
                                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                                <i class="fas fa-minus"></i>
                                            </button>
                                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                                <i class="fas fa-times"></i>
                                            </button>
                                        </div>
                                    </div>


                                    <div class="card-body">

                                        <?php 
                                        if( isset($message_return) ) : 
                                        
                                            if($message_return[1] == 1) {
                                                $message_class = 'alert-success';
                                            } elseif($message_return[1] == 2) {
                                                $message_class = 'alert-warning';
                                            }

                                            echo '<div class="alert '.$message_class.' m-3" role="alert">'.$message_return[0].'</div>';

                                        endif;
                                        ?>

                                        <fieldset class="mt-4">
                                            <label for="key" class="form-label">Login / Key</label>
                                            <input type="text" class="form-control" id="key" placeholder="" name="key" value="<?= isset($login) ? ($login->key) : '' ?>" data-type="key" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>
                                    
                                        <fieldset class="mt-4">
                                            <label for="pass" class="form-label">Digite sua nova senha</label>
                                            <input type="password" class="form-control" id="pass" placeholder="" name="pass" value="*****************" data-type="pass" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="repass" class="form-label">Re-Digite sua nova senha</label>
                                            <input type="password" class="form-control" id="repass" name="repass" placeholder="" value="" data-type="repass" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>



                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary"><?= $button_label ?></button>
                                        <a href="./listar-usuarios" class="btn btn-secondary">Ver lista de usuários</a>
                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </form>
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
