
export class ResponsiveController
{

    static _widthSM = 576;
    static _widthMD = 768;
    static _widthLG = 992;
    static _widthXL = 1367;

    static get MOBILE() {

        if( window.innerWidth <= ResponsiveController._widthMD ) { 
            return true;
        }

        return false;
    } 

    static get TABLET() {
        if( window.innerWidth > ResponsiveController._widthMD && window.innerWidth <= ResponsiveController._widthLG ) { 
            return true;
        }

        return false;
    } 

    static get MONITOR() {
        if( window.innerWidth > ResponsiveController._widthLG && window.innerWidth <= ResponsiveController._widthXL ) { 
            return true;
        }

        return false;
    } 

    static get FULL() {
        if( window.innerWidth > ResponsiveController._widthXL ) { 
            return true;
        }

        return false;
    } 

}