
export class Clients 
{

    static data( path ) {
        const url = path;

        const options = {
            method: 'GET',
            mode: 'cors',
            headers: {
                'content-type': 'application/json; charset:utf-8'
            }
        }

        return fetch(url, options);
    }


    static json( path ) {
        
        const url = path;

        const options = {
            method: 'GET',
            mode: 'cors',
            headers: {
                'content-type': 'application/json; charset:utf-8'
            }
        }

        return fetch(url, options);
    }

    
    static save( path , args ) {
        const url = path;

        const post_args = new FormData();
        post_args.set('args', JSON.stringify( args ));

        const options = {
            method: "POST",
            body: post_args
        }

        return fetch(url, options);
    }

}
