<?php
require __DIR__ . './../vendor/autoload.php';


$url = $_SERVER['REQUEST_URI'];
$url_arr = explode('/', $url);


$route_query = '';
if( empty($url_arr[1]) ) {
    $route_query = 'main';
} elseif( !empty($url_arr[1]) && count($url_arr) == 2 ) {
    $route_query = $url_arr[1];
} else {
    $route_query = $url_arr[2];
}

$route = explode('?' , $route_query)[0];



$routes = require __DIR__ . './../app/router/router.php';
if( ! array_key_exists( $route , $routes ) ) {
    http_response_code(404);
    exit();
}


// Inicia a sessão
session_start();

// Verifica se o usuário está logado
$router_autorized = [
    'main', 'admin', 'notfound'
];


$classController = $routes[ $route ];
$controller = new $classController();
$controller->process();



